Skip to main content
PUT
/
tasks
/
bulk
/
#
Update multiple tasks
curl --request PUT \
  --url 'https://apiweb.mile.app/api/v3/tasks/bulk/#' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tasks": [
    {
      "_id": "62067ee1cd77000042006f89",
      "flow": "Visit",
      "hubId": "634e98498ce07d29474a7e29",
      "field1": "Jack Emiliano Ward",
      "field2": "Gambir Jakarta",
      "field3": "-6.230815251,106.75684387",
      "startTime": "2022-11-02T07:28:23+00:00",
      "endTime": "2022-11-05T07:28:23+00:00"
    },
    {
      "_id": "62067ee3cd77000042006f8b",
      "flow": "Visit",
      "hubId": "634e98498ce07d29474a7e29",
      "field1": "John Gaviria Birdy"
    }
  ]
}
'
import requests

url = "https://apiweb.mile.app/api/v3/tasks/bulk/#"

payload = { "tasks": [
{
"_id": "62067ee1cd77000042006f89",
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "Jack Emiliano Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"startTime": "2022-11-02T07:28:23+00:00",
"endTime": "2022-11-05T07:28:23+00:00"
},
{
"_id": "62067ee3cd77000042006f8b",
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "John Gaviria Birdy"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tasks: [
{
_id: '62067ee1cd77000042006f89',
flow: 'Visit',
hubId: '634e98498ce07d29474a7e29',
field1: 'Jack Emiliano Ward',
field2: 'Gambir Jakarta',
field3: '-6.230815251,106.75684387',
startTime: '2022-11-02T07:28:23+00:00',
endTime: '2022-11-05T07:28:23+00:00'
},
{
_id: '62067ee3cd77000042006f8b',
flow: 'Visit',
hubId: '634e98498ce07d29474a7e29',
field1: 'John Gaviria Birdy'
}
]
})
};

fetch('https://apiweb.mile.app/api/v3/tasks/bulk/#', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": 2,
  "failed": 0,
  "tasks": [
    {
      "status": true,
      "message": "Success",
      "_id": "62067ee1cd77000042006f89"
    },
    {
      "status": true,
      "message": "Success",
      "_id": "62067ee3cd77000042006f8b"
    }
  ]
}
{
"status": false,
"message": "Bad request - invalid parameters provided."
}
{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Body

application/json
tasks
putRequestTask · object[]
required

Response

Success

success
integer

Total success updated task.

failed
integer

Total failed updated task.

tasks
object[]

Detail of updated task.